STRUCT RIO_SWITCH(9)

NAME
struct rio_switch - RIO switch info

SYNOPSIS
struct rio_switch {
  struct list_head node;
  u16 switchid;
  u16 hopcount;
  u16 destid;
  u8 route_table[RIO_MAX_ROUTE_ENTRIES];
  int (* add_entry) (struct rio_mport * mport, u16 destid, u8 hopcount,u16 table, u16 route_destid, u8 route_port);
  int (* get_entry) (struct rio_mport * mport, u16 destid, u8 hopcount,u16 table, u16 route_destid, u8 * route_port);
};

MEMBERS

node
    Node in global list of switches

switchid
    Switch ID that is unique across a network

hopcount
    Hopcount to this switch

destid
    Associated destid in the path

route_table[RIO_MAX_ROUTE_ENTRIES]
    Copy of switch routing table

add_entry
    Callback for switch-specific route add function

get_entry
    Callback for switch-specific route get function

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.